summaryrefslogtreecommitdiff
path: root/games/snes9x_gtk/snes9x_gtk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/snes9x_gtk/snes9x_gtk.SlackBuild')
-rw-r--r--games/snes9x_gtk/snes9x_gtk.SlackBuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/games/snes9x_gtk/snes9x_gtk.SlackBuild b/games/snes9x_gtk/snes9x_gtk.SlackBuild
new file mode 100644
index 0000000000..667ca86dc3
--- /dev/null
+++ b/games/snes9x_gtk/snes9x_gtk.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for snes9x_gtk
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=snes9x_gtk
+VERSION=${VERSION:-1.51r72}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# The VERSION is a bit of a mess...
+SNES9XVER=${SNES9XVER:-1.51}
+GTKVER=${GTKVER:-72}
+SRCNAM=snes9x
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SNES9XVER-src
+tar xvf $CWD/$SRCNAM-$SNES9XVER-src-gtk-$GTKVER.tar.bz2
+cd $SRCNAM-$SNES9XVER-src/gtk
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/${SRCNAM}_original_docs
+cp doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp ../doc/* $CWD/README_docs.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/${SRCNAM}_original_docs
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# For some reason this license is provided in Classic Mac format (\r's
+# but no \n's). We want people to actually be able to read it, so:
+sed -i 's/\r/\n/g' \
+ $PKG/usr/doc/$PRGNAM-$VERSION/${SRCNAM}_original_docs/${SRCNAM}-license.txt
+
+# We don't need 2 copies of the LGPL v2.1 (we already have the GPL,
+# LGPL v3, and proprietary snes9x licenses...)
+cd $PKG/usr/doc/$PRGNAM-$VERSION
+ rm -f snes_ntsc_license.txt
+ ln -s ${SRCNAM}_original_docs/LGPL-2.1 snes_ntsc_license.txt
+cd -
+
+# Don't use the shipped .desktop file: it fails desktop-file-validate
+cat $CWD/$SRCNAM.desktop > $PKG/usr/share/applications/$SRCNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz